Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 676954 (CVE-2018-18512, CVE-2018-18513, MFSA-2019-03)

Summary: <mail-client/thunderbird-60.5.0: multiple vulnerabilities (MFSA-2019-03)(CVE-{2016-5824,2018-{18500,18501,18505,18512,18513})
Product: Gentoo Security Reporter: D'juan McDonald (domhnall) <flopwiki>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: leonard, mozilla
Priority: Normal Flags: stable-bot: sanity-check+
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://www.mozilla.org/en-US/security/advisories/mfsa2019-03/
Whiteboard: B2 [glsa+ cleanup cve]
Package list:
mail-client/thunderbird-60.5.0
Runtime testing required: ---

Description D'juan McDonald (domhnall) 2019-01-30 22:33:52 UTC
Multiple Security Vulnerabilities have been fixed in Thunderbird 60.5
Comment 1 Thomas Deutschmann gentoo-dev 2019-01-31 22:21:42 UTC
x86 stable
Comment 2 Stephan Hartmann gentoo-dev 2019-02-12 11:43:27 UTC
(In reply to Thomas Deutschmann from comment #1)
> x86 stable

Maybe add amd64 or are you waiting for something else?
Comment 3 Thomas Deutschmann gentoo-dev 2019-02-12 13:39:34 UTC
No, we have to wait for arch teams. But when they aren't CC'ed, it cannot work :)
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-12 14:24:26 UTC
amd64 stable
Comment 5 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-03-26 20:58:35 UTC
@maintainers, can 52.9.1 be dropped yet?
Comment 6 Yury German Gentoo Infrastructure gentoo-dev 2019-03-27 02:04:41 UTC
CVE-2018-18500: Use-after-free parsing HTML5 stream
Reporter
Yaniv Frank with SophosLabs
Impact
critical
Description
A use-after-free vulnerability can occur while parsing an HTML5 stream in concert with custom HTML elements. This results in the stream parser object being freed while still in use, leading to a potentially exploitable crash.

CVE-2018-18505: Privilege escalation through IPC channel messages
Reporter
Jed Davis
Impact
high
Description
An earlier fix for an Inter-process Communication (IPC) vulnerability, CVE-2011-3079, added authentication to communication between IPC endpoints and server parents during IPC process creation. This authentication is insufficient for channels created after the IPC process is started, leading to the authentication not being correctly applied to later channels. This could allow for a sandbox escape through IPC channels due to lack of message validation in the listener process.

CVE-2018-18512: Use-after-free during sound notifications
Reporter
Wayne Mery
Impact
high
Description
A use-after-free vulnerability can occur while playing a sound notification in Thunderbird. The memory storing the sound data is immediately freed, although the sound is still being played asynchronously, leading to a potentially exploitable crash.

CVE-2016-5824: DoS (use-after-free) via a crafted ics file
Reporter
Brandon Perry
Impact
low
Description
A vulnerability in the Libical libary used by Thunderbird can allow remote attackers to cause a denial of service (use-after-free) via a crafted ICS calendar file.

CVE-2018-18513: DOS and crash with crafted S/MIME message or XPI package
Reporter
Hanno Böck, Damian Poddebniak
Impact
moderate
Description
A crash can occur when processing a crafted S/MIME message or an XPI package containing a crafted signature. This can be used as a denial-of-service (DOS) attack because Thunderbird reopens the last seen message on restart, triggering the crash again.

CVE-2018-18501: Memory safety bugs fixed in Firefox 65, Firefox ESR 60.5, and Thunderbird 60.5
Reporter
Mozilla developers and community
Impact
critical
Description
Mozilla developers and community members Alex Gaynor, Christoph Diehl, Steven Crane, Jason Kratzer, Gary Kwong, and Christian Holler reported memory safety bugs present in Firefox 64, Firefox ESR 60.4, and Thunderbird 60.4. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2019-04-02 04:33:52 UTC
This issue was resolved and addressed in
 GLSA 201904-07 at https://security.gentoo.org/glsa/201904-07
by GLSA coordinator Aaron Bauman (b-man).
Comment 8 Yury German Gentoo Infrastructure gentoo-dev 2019-04-02 07:25:03 UTC
Reopening for cleanup
Maintainer(s), please drop the vulnerable version(s).
Comment 9 Yury German Gentoo Infrastructure gentoo-dev 2019-04-02 07:26:51 UTC
Cleaning as part of bug #681834